Skip to main content
POST
/
creators
/
{creatorUserUuid}
/
chats
/
{userUuid}
/
message
Send a message as creator
curl --request POST \
  --url https://api.fanvue.com/creators/{creatorUserUuid}/chats/{userUuid}/message \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "text": "Hey, thanks so much for the support!",
  "mediaUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "price": 9.99,
  "templateUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
'
{
  "messageUuid": "a1b2c3d4-5e6f-7g8h-9i0j-k1l2m3n4o5p6"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

creatorUserUuid
string<uuid>
required
userUuid
string<uuid>
required

Body

application/json
text
string | null
Required string length: 1 - 5000
mediaUuids
string<uuid>[]
price
number | null
Required range: x >= 300
templateUuid
string<uuid> | null

Response

Message sent successfully

messageUuid
string<uuid>
required